Bug 988805 - IPC::Open3 keeps zombies after failed execve()
IPC::Open3 keeps zombies after failed execve()
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
https://rt.perl.org/rt3/Public/Bug/Di...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 08:48 EDT by Petr Pisar
Modified: 2013-09-22 19:57 EDT (History)
10 users (show)

See Also:
Fixed In Version: perl-5.18.1-288.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 19:57:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2013-07-26 08:48:54 EDT
IPC::Open3::open3() does not collect child states after failed execve():

Reproducer:

$ perl -MIPC::Open3 -le 'for (1..10) { my ($in,
$out); eval { my $pid = open3($in, $out, "", "unknownprogram");
waitpid($pid, 0) }; } sleep 100'

Parallel process listing shows 10 zombies.

Reported to upstream <https://rt.perl.org/rt3/Public/Bug/Display.html?id=114722> with a fix.

All Fedoras are affected (tested with perl-5.16.3-244.fc18.x86_64 and perl-5.18.0-285.fc20.x86_64).
Comment 1 Fedora Admin XMLRPC Client 2013-08-12 07:53:26 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Update System 2013-09-11 10:00:29 EDT
perl-5.18.1-288.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-5.18.1-288.fc20
Comment 3 Fedora Update System 2013-09-11 12:56:13 EDT
Package perl-5.18.1-288.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing perl-5.18.1-288.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16400/perl-5.18.1-288.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-09-22 19:57:59 EDT
perl-5.18.1-288.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.